Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## wogroovy.additions
Class NSMutableArrayAdditions

    java.lang.Object
      wogroovy.additions.NSMutableArrayAdditions

public class NSMutableArrayAdditions
extends Object

Constructor Summary
`NSMutableArrayAdditions()`

Method Summary
`static void` | `addObjectsFromArrayWithoutDuplicates(NSMutableArray self, NSArray other)`
`static void` | `filterArrayWithQualifier(NSMutableArray self, EOQualifier qualifier)`
`static void` | `leftShift(NSMutableArray self, Object object)`
`static Object` | `pop(NSMutableArray self)`
`static NSMutableArray` | `push(NSMutableArray self, Object object)`
`static void` | `putAt(NSMutableArray self, int index, Object object)`
`static Object` | `shift(NSMutableArray self)`
`static void` | `shiftObjectLeft(NSMutableArray self, Object object)`
`static void` | `shiftObjectRight(NSMutableArray self, Object object)`
`static void` | `sortArrayUsingKeyOrderArray(NSMutableArray self, NSArray sortOrderings)`
`static void` | `sortEOsUsingSingleKey(NSMutableArray self, String key)`
`static void` | `sortEOsUsingSingleKey(NSMutableArray self, String key, NSSelector selector)`
`static NSMutableArray` | `unshift(NSMutableArray self, Object object)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NSMutableArrayAdditions

    public NSMutableArrayAdditions()

Method Detail

### putAt

    public static void putAt(NSMutableArray self,
                             int index,
                             Object object)

### leftShift

    public static void leftShift(NSMutableArray self,
                                 Object object)

### push

    public static NSMutableArray push(NSMutableArray self,
                                      Object object)

### unshift

    public static NSMutableArray unshift(NSMutableArray self,
                                         Object object)

### addObjectsFromArrayWithoutDuplicates

    public static void addObjectsFromArrayWithoutDuplicates(NSMutableArray self,
                                                            NSArray other)

### shiftObjectLeft

    public static void shiftObjectLeft(NSMutableArray self,
                                       Object object)

### shiftObjectRight

    public static void shiftObjectRight(NSMutableArray self,
                                        Object object)

### pop

    public static Object pop(NSMutableArray self)

### shift

    public static Object shift(NSMutableArray self)

### filterArrayWithQualifier

    public static void filterArrayWithQualifier(NSMutableArray self,
                                                EOQualifier qualifier)

### sortArrayUsingKeyOrderArray

    public static void sortArrayUsingKeyOrderArray(NSMutableArray self,
                                                   NSArray sortOrderings)

### sortEOsUsingSingleKey

    public static void sortEOsUsingSingleKey(NSMutableArray self,
                                             String key)

### sortEOsUsingSingleKey

    public static void sortEOsUsingSingleKey(NSMutableArray self,
                                             String key,
                                             NSSelector selector)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD